// Constants.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

using System;

namespace Microsoft.Presto.StarterKit.Constants
{
    public enum PrestoEncodingMode { Mtom, Text };
    public enum PrestoAddressingVersion { WSAddressing10, WSAddressingAugust2004 };

    public static class Numbers
    {
        public const int maxMessageSize = 5000000;
    }

    public static class Payloads
    {
        public const string documentsDirectory = @"C:\";
        public const string documentToSend = "test_data_in.xml";
    }

    public static class EndpointUri
    {
        public const string nullAddress = ""; 
        public const string oneWayRelativeAddress = "submitOneWay";
        public const string requestReplyRelativeAddress = "submit";
    }
}
